Crystal Space: csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator Class Reference

An const iterator class for the hash. More...

`#include <csutil/hash.h>`

List of all members.

## Public Member Functions
void | Advance ()
| Advance the iterator of one step.
| ConstGlobalIterator (const ConstGlobalIterator &o)
| Copy constructor.
bool | HasNext () const
| Returns a boolean indicating whether or not the hash has more elements.
const T & | Next (K &key)
| Get the next element's value and key.
const T & | Next ()
| Get the next element's value.
const T & | NextNoAdvance (K &key)
| Get the next element's value and key, don't move the iterator.
const T & | NextNoAdvance ()
| Get the next element's value, don't move the iterator.
ConstGlobalIterator & | operator= (const ConstGlobalIterator &o)
| Assignment operator.
void | Reset ()
| Move the iterator back to the first element.
## Protected Member Functions
| ConstGlobalIterator (const csHash< T, K > *hash0)
## Friends
class | csHash< T, K >

## Detailed Description

### template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>
class csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator

An const iterator class for the hash.

Definition at line 824 of file hash.h.

## Constructor & Destructor Documentation

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::ConstGlobalIterator | ( | const ConstGlobalIterator & | o | ) | `[inline]`

Copy constructor.

Definition at line 864 of file hash.h.

## Member Function Documentation

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

void csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Advance | ( |  | ) | `[inline]`

Advance the iterator of one step.

Definition at line 888 of file hash.h.

Referenced by csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Next().

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

bool csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::HasNext | ( |  | ) | const`[inline]`

Returns a boolean indicating whether or not the hash has more elements.

Definition at line 881 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

const T& csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Next | ( | K & | key | ) | `[inline]`

Get the next element's value and key.

Definition at line 916 of file hash.h.

References csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Next().

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

const T& csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Next | ( |  | ) | `[inline]`

Get the next element's value.

Definition at line 901 of file hash.h.

References csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Advance(), and csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::NextNoAdvance().

Referenced by csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Next().

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

const T& csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::NextNoAdvance | ( | K & | key | ) | `[inline]`

Get the next element's value and key, don't move the iterator.

Definition at line 909 of file hash.h.

References csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::NextNoAdvance().

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

const T& csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::NextNoAdvance | ( |  | ) | `[inline]`

Get the next element's value, don't move the iterator.

Definition at line 895 of file hash.h.

Referenced by csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Next(), and csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::NextNoAdvance().

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

ConstGlobalIterator& csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::operator= | ( | const ConstGlobalIterator & | o | ) | `[inline]`

Assignment operator.

Definition at line 871 of file hash.h.

References csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::bucket, csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::element, csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::hash, and csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::size.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc>

void csHash< T, K, ArrayMemoryAlloc >::ConstGlobalIterator::Reset | ( |  | ) | `[inline]`

Move the iterator back to the first element.

Definition at line 923 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h